// Skriptname: Adresse in cobra anzeigen_JavaClient
//
// Erstellt:
// Autor:    M. Wulf
// Kontakt:  support@docufied.de
//
// ----------------------------------------------------------
// Funktionsbeschreibung
//
// Der Skript-Button wird in einem extra Tab zur Verf�gung
// gestellt.
// Wenn die �bertragung des Datensatzlinks in cobra
// aktiviert ist, dann wird die Adresse zum aktuell
// ausgew�hlten Dokument in cobra aufgerufen, sofern dieses
// mit >docufied< for cobra abgelegt worden ist.
//
// Version: 1.0
// ----------------------------------------------------------
// Versionsgeschichte
// ----------------------------------------------------------
// 1.0 : 06.11.2015:  Initialversion
// ----------------------------------------------------------
// Module
// 1. cobra 2015
// 2. >docufied< for cobra 2015 oder
//    >docufied< for cobra 2015 feat. TobitSoftware
// ----------------------------------------------------------
// ----------------------------------------------------------
// ----------------------------------------------------------
importPackage(Packages.java.awt);
importPackage(Packages.java.net);

// --- Variablen ggf. anpassen

function getExtraTabs(){
	return "41,docufied for cobra";
}

function getExtraBands(){
	return "docufied for cobra,25,Adresse anzeigen";
}

function getScriptButtonPositions(){
	return "25,docufied for cobra,Adresse anzeigen";
}

function getScriptButton25Name() {
	return "Adresse in Cobra anzeigen";
}

function eloScriptButton25Start() {
	var actview = workspace.getActiveView();
	var ele = actview.getFirstSelected();
	if(ele.isDocument())
	{
		var memo = ele.getHiddenText();
		var pos = memo.indexOf("AdrID=");
		var pos2 = memo.indexOf("||");
		if(pos >= 0 && pos2 > pos)
		{
			address = memo.substr(pos + 6, pos2 - pos - 6);

			var uri = new URI(address);
			if (Desktop.isDesktopSupported()) {
			    Desktop.getDesktop().browse(uri);
			}
		}else{
			workspace.showAlertBox("Fehler!","Es wurde keine Adresse in der Verschlagwortung gefunden.");
		}
	}else{
		workspace.showAlertBox("Fehler!","Es wurde kein Dokument selektiert.");
	}
}